This patch (and lvm_vge.c.patch) allow EVMS to correctly discover LVM volumes
created with old versions of the Sistina LVM tools (0.8x).

Index: include/linux/evms/evms_lvm.h
===================================================================
RCS file: /chillywilly/CVS_Root/evms-1.2.0-cvs-root/runtime/linux-2.4/include/linux/evms/evms_lvm.h,v
retrieving revision 1.39
retrieving revision 1.40
diff -u -r1.39 -r1.40
--- include/linux/evms/evms_lvm.h	2002/08/26 15:01:08	1.39
+++ include/linux/evms/evms_lvm.h	2002/11/26 14:13:07	1.40
@@ -438,6 +438,7 @@
  * @pv_list:		List of PVs that make up this group
  * @volume_list:	Array of volumes
  * @lv_array:		Array of LV metadata
+ * @lv_array_disk:
  * @uuid_list:		List of PV UUIDs
  * @vg_uuid:		UUID from the VG metadata
  * @vg_name:		Name from the PV metadata
@@ -455,6 +456,7 @@
 	struct lvm_physical_volume	* pv_list;
 	struct lvm_logical_volume	* volume_list[MAX_LV + 1];
 	struct lv_disk			* lv_array;
+	struct lv_disk			* lv_array_disk;
 	u8				* uuid_list;
 	u8				vg_uuid[UUID_LEN];
 	u8				vg_name[NAME_LEN];
